  $ . "$TESTDIR/testlib/topic_setup.sh"
  $ . "$TESTDIR/testlib/common.sh"

  $ cat << EOF >> $HGRCPATH
  > [extensions]
  > evolve =
  > [ui]
  > logtemplate = '{rev} [{topic}] {desc}\n'
  > EOF

Making sure plain hg next sticks to topic when target is unstable

  $ hg init next-unstable-topic
  $ cd next-unstable-topic

  $ mkcommit ROOT
  $ hg topics topic-a
  marked working directory as topic: topic-a
  $ mkcommit A
  active topic 'topic-a' grew its first changeset
  (see 'hg help topics' for more information)
  $ hg topics topic-b
  $ mkcommit B
  active topic 'topic-b' grew its first changeset
  (see 'hg help topics' for more information)
  $ hg up 'topic("topic-a")'
  switching to topic topic-a
  0 files updated, 0 files merged, 1 files removed, 0 files unresolved
  $ echo foo > foo
  $ hg ci -A --amend
  adding foo
  1 new orphan changesets
  $ hg log -G
  @  3 [topic-a] A
  |
  | *  2 [topic-b] B
  | |
  | x  1 [topic-a] A
  |/
  o  0 [] ROOT
  

  $ hg next
  no children on topic "topic-a"
  do you want --no-topic
  [1]

  $ hg next --no-topic
  move:[2] B
  atop:[3] A
  working directory is now at 53f8332d648f

  $ cd ..
